<?php
namespace Pinpoint\CarouselManager\Api;

use Pinpoint\CarouselManager\Api\Data\SlideInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;
/**
 * Interface SlideRepositoryInterface
 * @package Pinpoint\CarouselManager\Api
 */
interface SlideRepositoryInterface
{
    /**
     * @param SlideInterface $page
     * @return mixed
     */
    public function save(SlideInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param SlideInterface $page
     * @return mixed
     */
    public function delete(SlideInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
